﻿' ReSharper disable InconsistentNaming
Option Explicit On
Option Strict On

Imports OpcLabs.EasyOpc.DataAccess

Public Class Form1

    Private Sub ReadButton_Click(sender As Object, e As EventArgs) Handles ReadButton.Click

        Dim count As Integer = ItemsListView.Items.Count
        Dim argumentsArray(count - 1) As DAReadItemArguments

        For i = 0 To count - 1
            Dim listViewItem As ListViewItem = ItemsListView.Items(i)
            Dim itemId As String = listViewItem.Text
            argumentsArray(i) = New DAReadItemArguments("OPCLabs.KitServer.2", itemId, 50)
        Next

        Dim resultsArray() As DAVtqResult = EasyDAClient1.ReadMultipleItems(argumentsArray)

        For i = 0 To count - 1
            Dim listViewItem As ListViewItem = ItemsListView.Items(i)
            Dim vtqResult As DAVtqResult = resultsArray(i)

            Dim vtqText As String = ""
            Dim exceptionText As String = ""

            If (vtqResult.Exception Is Nothing) Then
                vtqText = vtqResult.Vtq.ToString()
            Else
                exceptionText = vtqResult.Exception.Message
            End If

            listViewItem.SubItems(1).Text = vtqText
            listViewItem.SubItems(2).Text = exceptionText
        Next

    End Sub
End Class
' ReSharper restore InconsistentNaming
